Skip to main content
GET
/
api
/
cases
List Cases
curl --request GET \
  --url https://app.sphinxhq.com/api/cases/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "customer": {
        "id": 123,
        "full_name": "<string>",
        "external_id": "<string>",
        "customer_type": "INDIVIDUAL"
      },
      "note": "<string>",
      "risk_score": 123,
      "outcome": "ACCEPTED",
      "is_complete": true,
      "failed": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "checks": [
        {
          "id": 123,
          "risk_score": 123,
          "title": "<string>",
          "note": "<string>",
          "reasoning": [
            "<string>"
          ],
          "outcome": "ACCEPTED",
          "status": "PENDING",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "input_details": {},
          "check_type": "UBO_RESOLUTION",
          "delete_after": -1
        }
      ],
      "rfi": {
        "body": "<string>",
        "title": "<string>",
        "details": {}
      },
      "webhook_url": "<string>",
      "delete_after": -1
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

Authorization
string
header
required

OAuth2 access token obtained from POST /api/oauth/token/ using client credentials.

Query Parameters

customer_id
integer

Filter by customer ID

has_webhook
boolean

Filter cases with webhook URLs

outcome
enum<string>

Filter by outcome

Available options:
ACCEPTED,
PENDING,
REJECTED
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"